package org.objectweb.speedo.mapper.rdb;

import java.util.Properties;

import javax.jdo.PersistenceManagerFactory;

import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.mapper.rdb.lib.ConnectionSpecJDBC;
import org.objectweb.speedo.api.SpeedoProperties;
import org.objectweb.speedo.mapper.api.ConnectionSpecFactory;

/**
 * Created by IntelliJ IDEA.
 * User: chassase
 * Date: 14 juin 2003
 * Time: 17:42:56
 * To change this template use Options | File Templates.
 */
public class JdbcConnectionSpecFactory implements ConnectionSpecFactory {

    public Object getConnectionSpec(PersistenceManagerFactory pmf,
                                    String user,
                                    String password) {
        Properties p = pmf.getProperties();
        try {
            return new ConnectionSpecJDBC(
                p.getProperty(SpeedoProperties.JDO_OPTION_CONNECTION_URL),
                p.getProperty(SpeedoProperties.JDO_OPTION_CONNECTION_DRIVER_NAME),
                user,
                password);
        } catch (PException e) {
            return null;
        }
    }
}
